@echo OFF
     set CmdName=BMGENAE1
echo *********************************************************************
echo *              BMGENAE1.cmd - a Windows Command File                *
echo *        This program is provided by SimoTime Technologies          *
echo *           (C) Copyright 1987-2016 All Rights Reserved             *
echo *             Web Site URL:   http://www.simotime.com               *
echo *                   e-mail:   helpdesk@simotime.com                 *
echo *********************************************************************
rem  * This procedure calls the following Windows Command Files.
rem  * 1. Env1Base.CMD - this provides a single point for setting the
rem  *                   commonly used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for 
rem  *                   displaying messages to the screen and writing to
rem  *                   a journal or log file.
rem  * 3. ZBMSGENR.CMD - this will do a generation of a specified member.
rem  * *******************************************************************
     setlocal
     call ..\Env1Base
rem  *
     call SimoNOTE "**********************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Read the file containing BMS Member names and pass the contents of each
rem  * record to the command file that does the actual generation. Each record
rem  * in the file contains an eight character member name. The following
rem  * parameters are passed to the called command file.
rem  * Parameter  Description
rem  * ---------  ------------------------------------------------------------
rem  *    1       Name of BMS source member
rem  *    2       Name of BMS source directory relative to BaseLib1
rem  *    3       Name of directory for BMS load member relative to BaseLib1
rem  *
     set AOK_Count=0
     set NOK_Count=0
     set MemberList=%BASELIB1%\ADM1\CNTL\SIMOTIME.ADM1.BMSLIST.lst
     dir /on /b /a-d %BaseLib1%\BMS\*.bms>%MemberList%
     for /F "eol=; tokens=1,2* delims=." %%i in (%MemberList%) do CALL ZBMSGENR %%i BMS HOLD\BMSA
rem  *
     call SimoNOTE "AOKcount Generate Count for AOK is %AOK_Count% "
     call SimoNOTE "NOKcount Generate Count for NOK is %NOK_Count% "
     if %NOK_Count% == 0 goto EOJAOK
     goto EOJNOK
:EOJNOK
     call SimoNOTE "ABENDING JobName %CmdName%.CMD"
     goto EOJEND
:EOJAOK
     call SimoNOTE "Finished JobName %CmdName%.CMD"
:EOJEND
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
