@echo OFF
echo *********************************************************************
echo *              CBONLAE1.cmd - a Windows Command File                *
echo *        This program is provided by SimoTime Technologies          *
echo *           (C) Copyright 1987-2016 All Rights Reserved             *
echo *             Web Site URL:   http://www.simotime.com               *
echo *                   e-mail:   helpdesk@simotime.com                 *
echo *********************************************************************
rem  *
rem  * This command will read a file that contains a list of COBOL online
rem  * programs without SQL and call ZCBL2GNT to compile each member.
rem  *
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ENV1BASE.cmd - this provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SIMONOTE.cmd - this provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal
rem  *                   or log file.
rem  * 3. ZCBL2GNT.cmd - this will do the compile of the specified program
rem  *
rem  * Note: To specifiy the directory to be used for the IDY files use
rem  *       the COBIDY Compiler Directive and set the COBIDY environment
rem  *       variable.
rem  * *******************************************************************
     setlocal
     call ..\ENV1BASE
     set CmdName=CBONLAE1
rem  *
     call SimoNOTE "*******************************************%CmdName%.cmd"
     call SimoNOTE "Starting JobName %CmdName%.cmd"
rem  *
rem  * Set the environment variable to use the default directives file.
     set DirsLib1=%BaseLib1%\DIRS\ASC1
     set zDIRS=%DirsLib1%\ENTCOBOLAscCBLONL.DIR
rem  * The following two statements will set the environment variables to
rem  * a "Y" for Yes or "N" for No. A "Y" will cause the function to be
rem  * performed by the called procedure. An "N" value will not perform the
rem  * function.
     set EraseAfter=N
     set TransferGNT=N
     set EXTFH=%BASESYS%\CONFIG\EXTFHTAB.cfg
rem  *
rem  * Read the ListSam1CobolBatchLessExt.TXT file and pass the contents of each record to the
rem  * command file that does the actual compile. Each record in the file
rem  * contains an eight character program name.
     set AOK_Count=0
     set NOK_Count=0
     set MemberList=%BaseLib1%\ADM1\CNTL\SIMOTIME.ADM1.CBLONLL1.LST
     for /F "eol=; tokens=1,2* delims=." %%i in (%MemberList%) do call ZCBL2GNT %%i COBOLCS1 HOLD\CS1A
rem  *
     call SimoNOTE "Conclude MIFOSYS1..... %MIFOSYS1% "
     call SimoNOTE "Conclude COBCPY....... %COBCPY% "
rem  *
     call SimoNOTE "AOKcount Compile Count for AOK is %AOK_Count% "
     call SimoNOTE "NOKcount Compile Count for NOK is %NOK_Count% "
     call SimoNOTE "Finished JobName %CmdName%.cmd "
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
