@echo OFF
    set BMSgenerateStatus=0000
rem * ************************************************************************
rem * It is the caller's responsibility to set BaseLib1 environment variable
rem * to the base directory. This procedure uses various sub-directories
rem * under the base directory.
rem *
rem * ************************************************************************
rem * BMS command line compilation utility. Version NX_6-0-98
rem * Usage: mfbmscl <file_name> option[s]
rem * Options:
rem * [/ALIGN]                        - generate aligned BINARY/DSECT
rem * [/ASM=<output-path>]            - output path for copybook
rem * [/BINARY=<output-path>]         - output path for load module
rem * [/BMSGT=<array-prefix>]         - enable BMS GT features
rem * [/COBOL=<output-path>]          - output path for copybook
rem * [/CS=<currency-symbol>]         - set currency symbol for PICOUT
rem * [/DASH]                         - enable hyphenated suffices for fields
rem * [/DEPONLY]                      - check source for dependancies
rem * [/DP=,|.]                       - select comma or decimal point symbol for PICOUT
rem * [/DSECT=<copybook-name>|*member*]       - name of generated copybook
rem * [/DSIZE]                        - generate map length in DSECT for SDF mapsets
rem * [/HLL]                          - enable high level assembler features
rem * [/IE]                           - ignore errors
rem * [/IGNORE | /SDF}]               - comment format
rem * [/LEVEL=<1st>,<2nd>,<3rd>]      - copybook start level and increment
rem * [/MAP=<binary-name>|*member*]   - name of generated load module
rem * [/NAMES=<NLS-chars>]            - NLS characters allowable in macro labels
rem * [/PLI=<output-path>]            - output path for copybook
rem * [/PCOMP=<pre-compiler>]         - Invoke pre-compiler
rem * [/PREFIX=<prefix-text>]         - variable name prefix for copybook
rem * [/PREPASM[=KEEP]]               - Use ASM preprocess statement
rem * [/REDEFINPUT                    - make DSECT attribute byte redefine flag byte in input map
rem * [/STRNAME=<DFHMDI-name>(name)]  - name of data structure in copybook
rem * [/SYSLIB=<syslib>               - ASM preprocess macro SYSLIB
rem * [/SYSPARM=MAP]                  - request generation of BINARY
rem * [/SYSPARM=DSECT]                - request generation of DSECT
rem * [/MSGFORMAT=STUDIO]             - set error and warning output to Visual Studio format
rem * [/VERBOSE]                      - verbose output
rem *
rem * ************************************************************************
rem * The following parameters are received from the calling command file.
rem * Parameter  Description
rem * ---------  ------------------------------------------------------------
rem *    1       Name of BMS source member
rem *    2       Name of BMS source directory relative to BaseLib1
rem *    3       Name of directory for BMS load member relative to BaseLib1
rem *    Note    The COBOL copy file will be written to the CobCpy6
rem *            sub-directory under the BaseLib1 directory.
rem *
    call SimoNOTE "* -------------------------------------------------------*ZBMSGENR.CMD"
    call SimoNOTE "Starting JobStep ZBMSGENR, Status is %BMSgenerateStatus%, BMS Member is %1"
rem *
rem * ************************************************************************
rem * Do the BMS generation to create the .MOD Screen load member and the
rem * copy file to be used by a COBOL program.
rem * The copy file will be written to the CobCpy6 sub-directory under the
rem * base directory.
rem *
    set CICSCPY=%BaseLib1%\CobCpy6\
    mfbmscl %BaseLib1%\%2\%1.BMS /MAP=%1 /SYSPARM=MAP /SYSPARM=DSECT /COBOL=%CICSCPY% /BINARY=%BaseLib1%\%3\
    if not "%ERRORLEVEL%" == "0" set BMSgenerateStatus=0010
    if not "%BMSgenerateStatus%" == "0000" goto :Compile2GNTNOK
rem *
    echo %BaseLib1%\%3\%1.MOD
    if exist %BaseLib1%\%3\%1.MOD goto :Compile2GNTAOK
    set BMSgenerateStatus=0020
    goto :Compile2GNTNOK
rem *
rem * ************************************************************************
:Compile2GNTAOK
    set /A AOK_Count=%AOK_Count% + 1
    call SimoNOTE "BMS LOAD, %BaseLib1%\%3\%1.MOD"
    call SimoNOTE "BMS COPY, %BaseLib1%\CobCpy6\\%1.CPY"
    call SimoNOTE "InfoNOTE JobStep ZBMSGENR, AOK=%AOK_Count% NOK=%NOK_Count%"
    call SimoNOTE "Complete JobStep ZBMSGENR, Status is %BMSgenerateStatus%, BMS Member is %1"
    goto :End
rem *
rem * ************************************************************************
:Compile2GNTNOK
    set JobStatus=%BMSgenerateStatus%
    set /A NOK_Count=%NOK_Count% + 1
    call SimoNOTE "InfoNOTE JobStep ZBMSGENR, AOK=%AOK_Count% NOK=%NOK_Count%"
    call SimoNOTE "ABENDING JobStep ZBMSGENR, Status is %BMSgenerateStatus%, BMS Member is %1"
    echo %1>%BaseLib1%\LOGS\%1.ERR
    goto :End
rem *
rem * ************************************************************************
:End
